Bug 1241241 - [abrt] parole: handler_unref_R(): parole killed by SIGSEGV
Summary: [abrt] parole: handler_unref_R(): parole killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: parole
Version: 23
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:552a225f26ac6e3518847898d60...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-08 20:06 UTC by Giulio 'juliuxpigface'
Modified: 2016-12-20 14:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 14:15:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (41.59 KB, text/plain)
2015-07-08 20:06 UTC, Giulio 'juliuxpigface'
no flags Details
File: cgroup (177 bytes, text/plain)
2015-07-08 20:06 UTC, Giulio 'juliuxpigface'
no flags Details
File: core_backtrace (17.78 KB, text/plain)
2015-07-08 20:06 UTC, Giulio 'juliuxpigface'
no flags Details
File: dso_list (13.55 KB, text/plain)
2015-07-08 20:06 UTC, Giulio 'juliuxpigface'
no flags Details
File: environ (1.43 KB, text/plain)
2015-07-08 20:06 UTC, Giulio 'juliuxpigface'
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-08 20:07 UTC, Giulio 'juliuxpigface'
no flags Details
File: maps (40.61 KB, text/plain)
2015-07-08 20:07 UTC, Giulio 'juliuxpigface'
no flags Details
File: mountinfo (3.21 KB, text/plain)
2015-07-08 20:07 UTC, Giulio 'juliuxpigface'
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-08 20:07 UTC, Giulio 'juliuxpigface'
no flags Details
File: open_fds (1.30 KB, text/plain)
2015-07-08 20:07 UTC, Giulio 'juliuxpigface'
no flags Details
File: proc_pid_status (864 bytes, text/plain)
2015-07-08 20:07 UTC, Giulio 'juliuxpigface'
no flags Details
File: var_log_messages (305 bytes, text/plain)
2015-07-08 20:07 UTC, Giulio 'juliuxpigface'
no flags Details

Description Giulio 'juliuxpigface' 2015-07-08 20:06:38 UTC
Description of problem:
Version number:
parole-0.8.0-3.fc23.i686

How reproducible:
Happens everytime I try to reproduce it

Steps to reproduce:
1. Launch Parole Media Player (from Mate's system menu or from mate-terminal)
2. Close the window with the appropriate button

Actual results:
1. Parole crashes and ABRT catches the exception.

Expected results:
1. Parole should exit cleanly.

Version-Release number of selected component:
parole-0.8.0-3.fc23

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        parole
crash_function: handler_unref_R
executable:     /usr/bin/parole
global_pid:     2416
kernel:         4.2.0-0.rc0.git4.1.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 handler_unref_R at gsignal.c:634
 #1 g_signal_handler_disconnect at gsignal.c:2595
 #2 parole_gst_shutdown at parole-gst.c:2627
 #3 parole_player_quit at parole-player.c:1498
 #4 parole_player_stopped at parole-player.c:1532
 #5 parole_player_media_state_cb at parole-player.c:1674
 #6 _gmarshal_VOID__OBJECT_ENUM at gstmarshal.c:84
 #11 parole_gst_evaluate_state at parole-gst.c:943
 #12 parole_gst_terminate_internal at parole-gst.c:1976
 #13 parole_gst_terminate at parole-gst.c:2621

Comment 1 Giulio 'juliuxpigface' 2015-07-08 20:06:50 UTC
Created attachment 1049983 [details]
File: backtrace

Comment 2 Giulio 'juliuxpigface' 2015-07-08 20:06:51 UTC
Created attachment 1049984 [details]
File: cgroup

Comment 3 Giulio 'juliuxpigface' 2015-07-08 20:06:55 UTC
Created attachment 1049985 [details]
File: core_backtrace

Comment 4 Giulio 'juliuxpigface' 2015-07-08 20:06:58 UTC
Created attachment 1049986 [details]
File: dso_list

Comment 5 Giulio 'juliuxpigface' 2015-07-08 20:06:59 UTC
Created attachment 1049987 [details]
File: environ

Comment 6 Giulio 'juliuxpigface' 2015-07-08 20:07:02 UTC
Created attachment 1049988 [details]
File: limits

Comment 7 Giulio 'juliuxpigface' 2015-07-08 20:07:14 UTC
Created attachment 1049989 [details]
File: maps

Comment 8 Giulio 'juliuxpigface' 2015-07-08 20:07:16 UTC
Created attachment 1049990 [details]
File: mountinfo

Comment 9 Giulio 'juliuxpigface' 2015-07-08 20:07:17 UTC
Created attachment 1049991 [details]
File: namespaces

Comment 10 Giulio 'juliuxpigface' 2015-07-08 20:07:19 UTC
Created attachment 1049992 [details]
File: open_fds

Comment 11 Giulio 'juliuxpigface' 2015-07-08 20:07:21 UTC
Created attachment 1049993 [details]
File: proc_pid_status

Comment 12 Giulio 'juliuxpigface' 2015-07-08 20:07:22 UTC
Created attachment 1049994 [details]
File: var_log_messages

Comment 13 Jan Kurik 2015-07-15 13:20:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 14 Kevin Fenzi 2015-07-15 21:07:25 UTC
Does it operate normally until you close it?

Are you playing media when you close it?

Comment 15 Giulio 'juliuxpigface' 2015-07-20 20:02:53 UTC
(In reply to Kevin Fenzi from comment #14)
> Does it operate normally until you close it?
> 

I've tried with a song and yes, to me it seems like it behaves correctly until I close it.

> Are you playing media when you close it?

No, I am not. Nothing is required from the user to trigger this crash: opening Parole and then closing it, is sufficient.

Additionally, I've also tried to close Parole while reproducing a song and the behavior doesn't change: Parole apparently exits cleanly, but then abrt pops up with its information.

Comment 16 leinfeva 2015-07-29 09:45:22 UTC
Another user experienced a similar problem:

How to reproduce

1. Don't have installed RPMFusion for Fedora 23
2. Reproduce a mp4 video  file
3. Parole ask if i wish install the missing codec.
4. i choose "No" option
5. i close parole and later abrt lauch this error.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        parole '/home/leinfeva/Game Html (CodigoFacilito) Tutorial/Pt.08.Loop Del Juego-3tqe4mcnt_O.mp4'
crash_function: handler_unref_R
executable:     /usr/bin/parole
global_pid:     7914
kernel:         4.0.8-300.fc22.x86_64
package:        parole-0.8.0-3.fc23
reason:         parole killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 satellitgo 2015-08-17 01:56:01 UTC
Another user experienced a similar problem:

start parole

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        parole
crash_function: handler_unref_R
executable:     /usr/bin/parole
global_pid:     23024
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
package:        parole-0.8.0-3.fc23
reason:         parole killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Pavel Grunt 2015-09-07 20:12:34 UTC
Just open & close is enough to reproduce
It started happening since glib 2.45.3.

Probably https://git.gnome.org/browse/glib/commit/?id=916297b caused it

Comment 19 Pavel Grunt 2015-09-07 21:23:32 UTC
I can reproduce using:
gstreamer1-1.5.2-1.fc23
gstreamer1-plugins-base-1.5.2-1.fc23
glib2-2.45.3-2.fc23
parole-0.8.0-3.fc23

Comment 20 Fedora End Of Life 2016-11-24 12:10:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2016-12-20 14:15:24 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.